import request from '@/utils/request'

// 查询交易信息列表
export function listProductInfo(query) {
  return request({
    url: '/base/productInfo/list',
    method: 'get',
    params: query
  })
}

// 查询交易信息详细
export function getProductInfo(id) {
  return request({
    url: '/base/productInfo/' + id,
    method: 'get'
  })
}

// 新增交易信息
export function addProductInfo(data) {
  return request({
    url: '/base/productInfo',
    method: 'post',
    data: data
  })
}

// 修改交易信息
export function updateProductInfo(data) {
  return request({
    url: '/base/productInfo',
    method: 'put',
    data: data
  })
}

// 删除交易信息
export function delProductInfo(id) {
  return request({
    url: '/base/productInfo/' + id,
    method: 'delete'
  })
}


export function getCount(data) {
  return request({
    url: '/base/productInfo/getCount',
    method: 'post',
    data: data
  })
}
